summaryrefslogtreecommitdiffstats
path: root/audio/a2jmidid
diff options
context:
space:
mode:
Diffstat (limited to 'audio/a2jmidid')
-rw-r--r--audio/a2jmidid/README14
-rw-r--r--audio/a2jmidid/a2jmidid.SlackBuild103
-rw-r--r--audio/a2jmidid/a2jmidid.info10
-rw-r--r--audio/a2jmidid/slack-desc19
4 files changed, 146 insertions, 0 deletions
diff --git a/audio/a2jmidid/README b/audio/a2jmidid/README
new file mode 100644
index 0000000000..502fb36282
--- /dev/null
+++ b/audio/a2jmidid/README
@@ -0,0 +1,14 @@
+This project aims to ease the usage of legacy, non JACK enabled
+applications, in a JACK MIDI enabled system.
+
+Typical usecase is to e.g. connect a software synth like
+bristol/azr3 with qtractor/seq24, or even connect midi hardware
+with jack applications.
+
+jack already contains parts of the a2jmidid code.
+
+This package uses POSIX filesystem capabilities to execute with
+elevated privileges (required for realtime audio processing). This
+may be considered a security/stability risk. Please read
+http://www.slackbuilds.org/caps/ for more information. To disable
+capabilities, pass SETCAP=no to the script.
diff --git a/audio/a2jmidid/a2jmidid.SlackBuild b/audio/a2jmidid/a2jmidid.SlackBuild
new file mode 100644
index 0000000000..1e975c88a7
--- /dev/null
+++ b/audio/a2jmidid/a2jmidid.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+# Slackware build script for <a2jmidid>
+# Written by Michales Michaloudes korgie@gmail.com
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=a2jmidid
+VERSION=${VERSION:-9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ {AUTHORS,CHANGELOG,INSTALLATION,README}.rst \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+if [ "${SETCAP:-yes}" = "yes" ]; then
+ for i in \
+ a2j_control j2amidi_bridge a2jmidi_bridge a2j a2jmidid
+ do
+ echo "/sbin/setcap cap_ipc_lock,cap_sys_nice=ep usr/bin/$i" >> $PKG/install/doinst.sh
+ chown root:audio $PKG/usr/bin/$i
+ chmod 0750 $PKG/usr/bin/$i
+ done
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/a2jmidid/a2jmidid.info b/audio/a2jmidid/a2jmidid.info
new file mode 100644
index 0000000000..937d40f644
--- /dev/null
+++ b/audio/a2jmidid/a2jmidid.info
@@ -0,0 +1,10 @@
+PRGNAM="a2jmidid"
+VERSION="9"
+HOMEPAGE="https://github.com/linuxaudio/a2jmidid"
+DOWNLOAD="https://github.com/linuxaudio/a2jmidid/archive/9/a2jmidid-9.tar.gz"
+MD5SUM="cfac8647a84513a698c2b310cdb2e2bb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jack"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"
diff --git a/audio/a2jmidid/slack-desc b/audio/a2jmidid/slack-desc
new file mode 100644
index 0000000000..8365c085bf
--- /dev/null
+++ b/audio/a2jmidid/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+a2jmidid: a2jmidid (ALSA sequencer to JACK MIDI bridging for jack2)
+a2jmidid:
+a2jmidid: This project aims to ease the usage of legacy, non JACK enabled
+a2jmidid: applications, in a JACK MIDI enabled system, when using jack2.
+a2jmidid:
+a2jmidid: (e.g. connect bristol/azr3 with qtractor/rosegarden/seq24)
+a2jmidid:
+a2jmidid: Note: The latest jack release contains a2jmidid functionality by
+a2jmidid: itself.
+a2jmidid:
+a2jmidid: